Debian Bug report logs - #598294
lastfm: CVE-2010-3362: insecure library loading

version graph

Package: lastfm; Maintainer for lastfm is John Stamp <jstamp@users.sourceforge.net>; Source for lastfm is src:lastfm.

Reported by: Raphael Geissert <geissert@debian.org>

Date: Tue, 28 Sep 2010 04:24:40 UTC

Severity: grave

Tags: security

Found in version lastfm/1:1.5.4.26862+dfsg-4

Fixed in version lastfm/1:1.5.4.26862+dfsg-5

Done: John Stamp <jstamp@users.sourceforge.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, John Stamp <jstamp@users.sourceforge.net>:
Bug#598294; Package lastfm. (Tue, 28 Sep 2010 04:24:43 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Geissert <geissert@debian.org>:
New Bug report received and forwarded. Copy sent to John Stamp <jstamp@users.sourceforge.net>. (Tue, 28 Sep 2010 04:24:43 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: submit@bugs.debian.org
Subject: lastfm: CVE-2010-3362: insecure library loading
Date: Tue, 28 Sep 2010 04:22:03 +0000
Package: lastfm
Version: 1:1.5.4.26862+dfsg-4
Severity: grave
Tags: security
User: team@security.debian.org
Usertags: ldpath

Hello,

During a review of the Debian archive, I've found your package to
contain a script that can be abused by an attacker to execute arbitrary
code.

The vulnerability is introduced by an insecure change to
LD_LIBRARY_PATH, and environment variable used by ld.so(8) to look for
libraries on a directory other than the standard paths.

Vulnerable code follows:

/usr/bin/lastfm line 4:
export LD_LIBRARY_PATH="${RUNDIR}:${LD_LIBRARY_PATH}"

When there's an empty item on the colon-separated list of
LD_LIBRARY_PATH, ld.so treats it as '.' (i.e. CWD/$PWD.)
If the given script is executed from a directory where a potential,
local, attacker can write files to, there's a chance to exploit this
bug.

This vulnerability has been assigned the CVE id CVE-2010-3362. Please make sure
you mention it when forwarding this report to upstream and when fixing
this bug (everywhere: upstream and here at Debian.)

[0] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-3362
[1] http://security-tracker.debian.org/tracker/CVE-2010-3362

Sincerely,
Raphael Geissert




Reply sent to John Stamp <jstamp@users.sourceforge.net>:
You have taken responsibility. (Thu, 30 Sep 2010 21:36:03 GMT) Full text and rfc822 format available.

Notification sent to Raphael Geissert <geissert@debian.org>:
Bug acknowledged by developer. (Thu, 30 Sep 2010 21:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 598294-close@bugs.debian.org (full text, mbox):

From: John Stamp <jstamp@users.sourceforge.net>
To: 598294-close@bugs.debian.org
Subject: Bug#598294: fixed in lastfm 1:1.5.4.26862+dfsg-5
Date: Thu, 30 Sep 2010 21:32:29 +0000
Source: lastfm
Source-Version: 1:1.5.4.26862+dfsg-5

We believe that the bug you reported is fixed in the latest version of
lastfm, which is due to be installed in the Debian FTP archive:

lastfm_1.5.4.26862+dfsg-5.debian.tar.gz
  to main/l/lastfm/lastfm_1.5.4.26862+dfsg-5.debian.tar.gz
lastfm_1.5.4.26862+dfsg-5.dsc
  to main/l/lastfm/lastfm_1.5.4.26862+dfsg-5.dsc
lastfm_1.5.4.26862+dfsg-5_amd64.deb
  to main/l/lastfm/lastfm_1.5.4.26862+dfsg-5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 598294@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
John Stamp <jstamp@users.sourceforge.net> (supplier of updated lastfm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 30 Sep 2010 14:03:23 -0700
Source: lastfm
Binary: lastfm
Architecture: source amd64
Version: 1:1.5.4.26862+dfsg-5
Distribution: unstable
Urgency: high
Maintainer: John Stamp <jstamp@users.sourceforge.net>
Changed-By: John Stamp <jstamp@users.sourceforge.net>
Description: 
 lastfm     - a music player for Last.fm personalized radio
Closes: 598294
Changes: 
 lastfm (1:1.5.4.26862+dfsg-5) unstable; urgency=high
 .
   * Fix CVE-2010-3362: insecure library loading (Closes: #598294)
Checksums-Sha1: 
 478692f7bcad61edf6261b8af60ee12bf807eca1 1324 lastfm_1.5.4.26862+dfsg-5.dsc
 31c268d8e0b05e0271f5d764f5c82adaf8fdd842 67914 lastfm_1.5.4.26862+dfsg-5.debian.tar.gz
 607217ce8bd142f70cce9a81caa27e26131d948f 1645896 lastfm_1.5.4.26862+dfsg-5_amd64.deb
Checksums-Sha256: 
 5389c17f2e6e625c252786ca22df1fca99ba53abc2b18bc9e459e5a8fa516297 1324 lastfm_1.5.4.26862+dfsg-5.dsc
 1d85eb0460770badcbce1c78bbd7fdc07eeb5aa4ea34296e80a6d964980c1336 67914 lastfm_1.5.4.26862+dfsg-5.debian.tar.gz
 d25035355631e98691a326159194f75381556319275004091dfab1a3f73059ed 1645896 lastfm_1.5.4.26862+dfsg-5_amd64.deb
Files: 
 968b7551bc736671427e9da1222c2ae4 1324 sound optional lastfm_1.5.4.26862+dfsg-5.dsc
 339d1b5c3d511f903e0edd78b2cc00ea 67914 sound optional lastfm_1.5.4.26862+dfsg-5.debian.tar.gz
 f66b3cd40e0c8d3f1740d251bf309438 1645896 sound optional lastfm_1.5.4.26862+dfsg-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkyk/RgACgkQbU7/TZgP4UQDAgCgoHjXTPzLKcZATBGGokc0Ee4g
BjgAn2LkZ++WX3GefCJaieShkxXl23wW
=Oaxw
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 31 Oct 2010 07:35:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:46:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.